[SM -NL- **`Simon Chetwood`[NAME]** -NL- C] -NL- Phone: **`07946652233 `[PHONES_PHONE]** E-Mail: **`simonchetwood07@gmail.com`[EMAILS_EMAIL]** -NL- **`Profile`[WORK_EXPERIENCE_HEADING]** -NL- My goal is to obtain the position of an iOS developer in a company where I can utilize my 5+ -NL- years of skills and experience, adapt to new environments, new technologies and frameworks -NL- and create the best apps on the market. -NL- I’m aflexible and efficient team player with excellent communication skills at all levels. Seeking -NL- a role where I can refine and develop new skills whilst positively contributing towards the -NL- organisation’s goals. -NL- **`Experience`[WORK_EXPERIENCE_HEADING]** -NL- **`Oddschecker`[EMPLOYER_COMPANY_NAME]** – **`Senior iOS Developer `[EMPLOYER_ROLE]**-NL- [October 19 - January 20] -NL- https://apps.apple.com/gb/app/oddschecker-sports-betting/id1114487306 -NL- https://apps.apple.com/gb/app/whoscored-football-app/id940048063 -NL- **`Oddschecker`[EMPLOYER_COMPANY_NAME]** App -NL-  Worked in a team with 5 iOS developers & 5 Android -NL-  Worked with a QA team of 3 testers -NL-  Collaborated with designers to produce high-quality UI -NL-  Used JIRA to organise and allocate tasks, tracking issues as they were detected -NL-  Worked on two-week sprints with daily standups to keep track of team progress, led -NL- by our scrum master -NL-  CI on GitLab to run unit tests and integration with third-party tools used by testers -NL-  Participated in code review with other testers to ensure a high standard of code -NL- quality -NL-  Followed GitFlow procedure to streamline the collaborative process -NL-  Used Slack for communication between the team and the wider company -NL-  Used Xcode to write and compile code -NL-  Created layout programmatically, creating auto layout constraints in code to position -NL- views -NL-  Worked using MVVM to distribute responsibility among classes -NL-  Introduced proper calculation for accumulator bets involving ‘each way’ bets -NL-  Introduced checks to prevent the app from displaying inaccurate odds or expected -NL- returns when a user made a bet involving starting prices -NL-  Changed the app to maintain the expanded state of cells when changing their -NL- selected bets caused the page to re-order -NL-  Corrected an issue where the user would log in but the front end would not reflect -NL- this -NL-  Adjusted logic to prevent the expected returns from being hidden -NL-  Adjusted UI to prevent unnecessary line breaks in text -NL-  Corrected issues with not being able to see options for making multiple bets -NL-  Wrote unit tests for code to rigorously check logic -NL-  Used snapshot tests to track UI changes -NL- WhoScored App -NL-  Worked as the sole iOS developer -NL-  Worked in Objective-C -NL-  Integrated Firebase Analytics and Crashlytics to track events -NL-  Introduced banner ads with Google Ad Manager into all pages of the app -NL-  Added XtremePush functionality to subscribe and unsubscribe from notifications -NL- about matches -NL-  Rewrote some code to reduce duplication -NL-  Replaced code using deprecated classes with new code while maintaining the same -NL- functionality -NL-  Uploaded the app to App Store Connect using Xcode -NL-  Deployed the app to TestFlight for distribution to testers -NL- **`Currys`[EMPLOYER_COMPANY_NAME]** – **`Senior iOS Developer`[EMPLOYER_ROLE]** -NL- [August 19 - September 19] -NL- App not yet available -NL-  Used JIRA to organise and allocate tasks, tracking issues as they were detected, two -NL- week sprints -NL-  Mentored junior developers on effective code -NL-  Daily standups to keep track of team progress, led by our scrum master -NL-  Created layouts primarily using Storyboards but also programmatically where -NL- appropriate -NL-  Used Sketch, Zeplin & InVision Studio for designs and asset management -NL-  Collaborated with the designer to better meet the Human Interface Guidelines -NL- provided by Apple, and to produce a user experience consistent with what a user -NL- would be used to -NL-  Redesigned the list of products to use a single-column layout using the UICollectionView -NL-  CI on GitLab to run unit tests and integration with third-party tools used by testers -NL-  Refactored MVVM code to reduce complexity, remove code smells using SonarQube, and improve -NL- readability -NL-  Assisted in writing and maintaining unit tests for the app using XCTest -NL-  Working towards making code more testable by using mock classes -NL-  Implemented functionality for the Home screen to display promotional images from a -NL- server with links to relevant pages in the app -NL-  Developed functionality to track the user’s current version to ensure it matched a -NL- provided minimum version and gave the option to upgrade -NL-  Corrected spacing issues in the app to ensure a consistent design across different -NL- devices -NL-  Redesigned the product details page to adapt to some elements being absent -NL-  Redesigned the sign-inflow to provide clearer error messages upon failing to log in or -NL- sign up -NL-  Included an error message to display to a user when trying to add a product to a full -NL- Wishlist -NL-  Worked on the UI across the whole app, creating a new back button and adding shadows under the -NL- tab bar and headers -NL- **`VoguePay`[EMPLOYER_COMPANY_NAME]** – **`Senior iOS Developer`[EMPLOYER_ROLE]** -NL- [May 19 - August 19] -NL- App not yet available -NL-  Worked as the sole developer on the vSavings app -NL- 2 -NL-  Coordinated with a larger team based in Nigeria for app properties -NL-  Project team consisted of 8 people, including a designer, a backend developer, and a -NL- project manager -NL-  Collaborated with the developer for another app being developed by the company to -NL- include a sharedflow for users making a new account -NL-  Weekly Skype meetings to share progress,fine-tune design elements and update on -NL- timeframes -NL-  Used Zeplin for designs and asset management -NL-  Used Clickup as productivity software to organise and set out time plans -NL-  Collaborated with the designer to better meet the Human Interface Guidelines -NL- provided by Apple, and to produce a user experience consistent with what a user -NL- would be used to -NL-  Produced a Work Breakdown Structure at the beginning of the project to outline the -NL- development timeframe -NL-  Followed the Clean Swift architecture for better modularity -NL-  Designed scenes using Interface Builder, with some reusable components being -NL- made programmatically -NL-  Used AutoLayout constraints to ensure designs would adapt to multiple different -NL- devices -NL-  Created aflow for selecting an investment from a list of available plans, deciding an -NL- amount and duration, and choosing a source of funds -NL-  Included the ability tofilter the list of investments by name or by specified properties -NL-  Created aflow for liquidating an investment’s funds to an appropriate location -NL-  Created tools within the app for previewing investment projections, including a chart -NL- for displaying investment yields over a period of time -NL-  Adapted the shared signupflow to match the aesthetics of this individual app, as well -NL- as extending it to allow for non-Nigerian users to make accounts and adapting the -NL- design for different screen sizes -NL-  Incorporated a series of pages to allow users to fund their virtual wallets through -NL- multiple possible methods in order to make investments -NL- **`AIB Mobile`[EMPLOYER_COMPANY_NAME]** – **`Senior iOS Developer`[EMPLOYER_ROLE]** -NL- [June 18 - May 19] -NL- https://itunes.apple.com/gb/app/aib-mobile/id468042881?mt=8 -NL-  Collaborated with design team to better bring design to life -NL-  Used JIRA to organise individual tasks, tracking commits for those tasks -NL-  Worked towards releases every 4-6 weeks rather than sprints -NL-  Participated in daily standups when working towards a release, involving developers from the three -NL- disciplines reporting on their progress -NL-  Weekly meeting of Wipro developers to discuss individual work and suggestions for workflow -NL- improvements -NL-  C.I. handled via Jenkins using build slaves that would build and run unit tests each time a commit -NL- was pushed to the master branch -NL-  Used pull requests to review code to be pushed before merging (though this only started towards -NL- the end of my time there) -NL-  Worked in conjunction with the QA team to identify and address issues -NL-  Created new native views to replace existing web-based views -NL-  Redesigned the current account screen to show transactions in a chain link format -NL-  Created the layout using Xcode Storyboards -NL-  Extended the new layout to cover other account types, including alerts on those accounts -NL-  Worked in V.I.P.E.R. to better organise views and properly distribute responsibilities between -NL- classes -NL-  Reworked the cards carousel to use AutoLayout rather thanfixed values -NL- 3 -NL-  Fixed bugs relating to cancelling cards -NL-  Restructured the use of fonts across the app to prepare for a new app-wide font to be used, -NL- including changing all storyboard labels to set their font via code -NL- **`My BT`[EMPLOYER_COMPANY_NAME]** – **`Senior iOS Developer `[EMPLOYER_ROLE]**-NL- [April 17 - June 18] -NL- https://itunes.apple.com/gb/app/my-bt/id979618672?mt=8 -NL-  Updated existing application to incorporate various feature updates and preparations for upcoming -NL- iOS 11. -NL-  Updated synchronisation functionality to work more efficiently and better deal with unrealisable -NL- connection states. -NL-  Optimised various areas of the code base to response times and reduce the battery impact. -NL-  Extended existing CoreData model to include new entities representing new details being tracked. -NL-  Experimented with iOS 11 beta to predict how the application will need to change with upcoming -NL- updates. -NL-  Produced prototypes for upcoming iOS 11 version and desired future additions. -NL-  Produced prototypes utilising the new features in the iOS 11 SDK. -NL-  Fixed bugs throughout the code base and performed general housekeeping and tidying up and -NL- code organisation. -NL-  Implemented new features in Swift 3 before migrating to Swift 4. -NL-  Worked in a pair programming environment with various members of the iOS development team to -NL- ensure better code structure. -NL- **`HelloFresh`[EMPLOYER_COMPANY_NAME]** – **`iOS Developer`[EMPLOYER_ROLE]** -NL- [ December 15 – March 17] -NL- https://itunes.apple.com/gb/app/hellofresh/id970107419?mt=8 -NL-  Completely rebuilt existing recipes and healthy living application as part of rebranding movement -NL- and to take advantage of new features in the latest iOS. -NL-  Reassessed overall code base architecture, emphasizing on modularity and dependency injection. -NL-  Took part in the process of redesigning the both the user interface and user interface while giving -NL- input on current trends, technological limits and changes in the mobile market. -NL-  Refactored usable legacy code into a series of modules to ensure a high amount of reusability. -NL-  Implemented a total redesign of the user interface, updating existing interfaces while creating new -NL- controls when needed. -NL-  Introduced device calendar integration. -NL-  Implemented local data persistence and the tools to synchronise local data with remote data. -NL- **`Glucose Buddy Diabetes Tracker`[EMPLOYER_COMPANY_NAME]** – **`J.r. iOS Developer`[EMPLOYER_ROLE]** -NL- [ October 14 – November 15] -NL-  Updated and improved an application to record, log, track and makes notes on the amount of sugar -NL- a user with diabetes has. -NL-  Fixed existing bugs throughout the code base and accompanying in house libraries. -NL-  Updated the in-house barcode scanning functionality to work faster, more reliably & reduce the -NL- memory footprint. -NL-  Worked on prototype which incorporated HealthKit to track the user’s activeness. -NL-  Abstracted existing charting functionality to more closely represent health data and provide clarity -NL- to the user. -NL- 4 -NL- **`Education and Certificates`[EDUCATION_HEADING]** -NL- **`University of Oxford`[EDUCATION_INSTITUTE]**, **`Mathematics and Computer Science `[EDUCATION_COURSE]**(1 year) -NL- **`University of Surrey`[EDUCATION_INSTITUTE]**, **`BSc`[EDUCATION_DEGREE]** Computer Science -NL- **`Key Skills`[SKILLS_HEADING]** -NL- Native Development Tools -NL- Xcode, UIKit, UIDynamics, UICollectionViewFlowLayout, Autolayout, XCTest, CoreData, CoreVideo, -NL- CoreGraphics, QuartzCore, NSURLSession, Grand Central Dispatch (GCD), EventKit, TouchID, Apple Push -NL- **`Notifications`[OTHERS_HEADING]** -NL- 3rd Party Development Tools -NL- Spring, AsyncDisplayKit, Quick, Nimble, Frank, Magical Record, SQLCipher, AFNetworking, Alamofire, SSL, -NL- AES-256+SHA2, Obfuscation, OAuth 2.0, Charts API, Urban Airship, TestFlight, Firebase, Crashlytics, -NL- Google Ad Manager, Snapshot Testing, XtremePush -NL- Project Tools -NL- Agile, SCRUM environment, Test Driven Development, Continuous Integration, Pair Programming, Model -NL- View Controller (MVC), Model-View-ViewModel (MVVM), Gitflow, GIT, GitLab, TestFlight, JIRA, Jenkins, -NL- Confluence, Appium, Trello, Kanban, Sprints, BitBucket, Circle CI, Slack -NL- **`Languages`[OTHERS_HEADING]** -NL- Swift, Objective C, C++, HTML, Javascript, CSS, PHP, Assembler, Ruby, OpenGL -NL- 5 -NL- 